Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mindbright.jca.security
Class AlgorithmParameters

    java.lang.Object
      com.mindbright.jca.security.AlgorithmParameters

public class AlgorithmParameters
extends java.lang.Object

Constructor Summary
`protected` | `AlgorithmParameters(AlgorithmParametersSpi paramSpi, Provider provider, java.lang.String algorithm)`

Method Summary
`java.lang.String` | `getAlgorithm()`
`byte[]` | `getEncoded()`
`byte[]` | `getEncoded(java.lang.String format)`
`static AlgorithmParameters` | `getInstance(java.lang.String algorithm)`
`static AlgorithmParameters` | `getInstance(java.lang.String algorithm, java.lang.String provider)`
`AlgorithmParameterSpec` | `getParameterSpec(java.lang.Class paramSpec)`
`Provider` | `getProvider()`
`void` | `init(AlgorithmParameterSpec paramSpec)`
`void` | `init(byte[] params)`
`void` | `init(byte[] params, java.lang.String format)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AlgorithmParameters

    protected AlgorithmParameters(AlgorithmParametersSpi paramSpi,
                                  Provider provider,
                                  java.lang.String algorithm)

Method Detail

### getAlgorithm

    public final java.lang.String getAlgorithm()

### getEncoded

    public final byte[] getEncoded()

### getEncoded

    public final byte[] getEncoded(java.lang.String format)

### getInstance

    public static final AlgorithmParameters getInstance(java.lang.String algorithm)

### getInstance

    public static final AlgorithmParameters getInstance(java.lang.String algorithm,
                                                        java.lang.String provider)

### getParameterSpec

    public final AlgorithmParameterSpec getParameterSpec(java.lang.Class paramSpec)

### getProvider

    public final Provider getProvider()

### init

    public final void init(AlgorithmParameterSpec paramSpec)

### init

    public final void init(byte[] params)

### init

    public final void init(byte[] params,
                           java.lang.String format)

### toString

    public final java.lang.String toString()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD